aboutsummaryrefslogtreecommitdiff
path: root/xfce/xfce4_fsguard
diff options
context:
space:
mode:
Diffstat (limited to 'xfce/xfce4_fsguard')
-rwxr-xr-xxfce/xfce4_fsguard/xfce4_fsguard.SlackBuild88
1 files changed, 88 insertions, 0 deletions
diff --git a/xfce/xfce4_fsguard/xfce4_fsguard.SlackBuild b/xfce/xfce4_fsguard/xfce4_fsguard.SlackBuild
new file mode 100755
index 0000000..237c2ef
--- /dev/null
+++ b/xfce/xfce4_fsguard/xfce4_fsguard.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+CWD=`pwd`
+NAME=xfce4_fsguard
+VERSION=20101025
+ARCH=i586
+BUILD=1
+PKGNAME=xfce4-fsguard-plugin
+PKGVER=$VERSION
+BASEDIR=$PKGNAME-$PKGVER
+ARCHIVE=$BASEDIR.tar.xz
+REPOSITORY=http://goodies.xfce.org/releases/${PKGNAME}
+FLAGS="-O2 -march=pentium -mtune=pentium -fno-strength-reduce \
+ -fomit-frame-pointer -ffast-math"
+PKG=/tmp/package-$NAME
+
+rm -rf $PKG
+mkdir -p $PKG
+
+# Obtain sources
+if [ ! -e $ARCHIVE ]; then
+ if `wget "$REPOSITORY/$ARCHIVE"`; then
+ true
+ else
+ exit 1
+ fi
+fi
+
+# Compile
+cd /tmp
+tar Jxvf $CWD/$ARCHIVE
+cd $BASEDIR
+xzcat $CWD/$NAME-$VERSION-desktop.patch.xz | patch -p1 -s
+CFLAGS=${FLAGS} CXXFLAGS=${FLAGS} ./configure \
+ --build=${ARCH}-slackware-linux \
+ --disable-dependency-tracking \
+ --enable-debug=no \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --libdir=/usr/lib
+make
+
+# Install
+make install DESTDIR=$PKG
+mkdir -p $PKG/install $PKG/usr/doc/$NAME-$VERSION
+cat > $PKG/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xfce4_fsguard: xfce4_fsguard (Xfce filesystem applet)
+xfce4_fsguard:
+xfce4_fsguard: An Xfce panel plug-in which monitors the amount of free space on a
+xfce4_fsguard: chosen mount point. It can display a message when a limit is reached.
+xfce4_fsguard:
+xfce4_fsguard:
+xfce4_fsguard:
+xfce4_fsguard:
+xfce4_fsguard:
+xfce4_fsguard:
+xfce4_fsguard:
+EOF
+
+cat > $PKG/install/slack-required <<EOF
+libxfcegui4 >= 4.6.4-i486-1
+EOF
+
+install -m 0644 -g 0 -o 0 AUTHORS NEWS \
+ $PKG/usr/doc/$NAME-$VERSION
+
+xz -9f \
+ $PKG/usr/doc/$NAME-$VERSION/NEWS
+
+strip \
+ $PKG/usr/libexec/*/*/* || :
+
+chown -R root.root $PKG
+
+# Make package
+cd $PKG
+cat install/slack-desc | grep "$NAME:" > /tmp/$NAME-$VERSION-$ARCH-$BUILD.txt
+makepkg -l y -c n /tmp/$NAME-$VERSION-$ARCH-$BUILD.txz